// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import '~@angular/material/theming';
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/

/* For use in src/lib/core/theming/_palette.scss */
$raa-primary-palette: (
    50 : #fffce0,
    100 : #fff8b3,
    200 : #fff380,
    300 : #ffee4d,
    400 : #ffea26,
    500 : #ffe600,
    600 : #ffe300,
    700 : #ffdf00,
    800 : #ffdb00,
    900 : #ffd500,
    A100 : #ffffff,
    A200 : #fffdf2,
    A400 : #fff3bf,
    A700 : #ffeea6,
    contrast: (
        50 : #000000,
        100 : #000000,
        200 : #000000,
        300 : #000000,
        400 : #000000,
        500 : #000000,
        600 : #000000,
        700 : #000000,
        800 : #000000,
        900 : #000000,
        A100 : #000000,
        A200 : #000000,
        A400 : #000000,
        A700 : #000000,
    )
);

// $raa-primary: mat-palette($mat-indigo);
$raa-primary: mat-palette($raa-primary-palette);
$raa-accent: mat-palette($mat-pink, A200, A100, A400);

// The warn palette is optional (defaults to red).
$raa-warn: mat-palette($mat-red);

// Create the theme object. A theme consists of configurations for individual
// theming systems such as "color" or "typography".
$raa-theme: mat-light-theme((
  color: (
    primary: $raa-primary,
    accent: $raa-accent,
    warn: $raa-warn,
  )
));

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($raa-theme);

html, body { height: 100%; }
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }